# Class yii\base\InvalidValueException

Inheritance | yii\base\InvalidValueException » UnexpectedValueException
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/InvalidValueException.php

InvalidValueException represents an exception caused by a function returning a value of unexpected type.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\base\InvalidValueException

## Method Details

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception